﻿using System;
using System.Collections.Generic;
using System.Text;
using Docs.Excel;

namespace InternalSavePicture
{
    class Program
    {
        static void Main(string[] args)
        {
            //Read .xls file.
            ExcelWorkbook workbook = ExcelWorkbook.ReadXLSX(@"..\..\..\Book1.xlsx");

            //Displayed mesh grid.
            workbook.Worksheets[0].ConvertingOptions.ShowGrid = true;

            //Set not save picture.
            workbook.Worksheets[0].ConvertingOptions.SavePictureMode = SavePictureMode.Internal;

            //Save specified worksheet in HTML file. 
            workbook.Worksheets[0].WriteHTML(@"..\..\..\Sample.htm");

            //Open specified file.
            System.Diagnostics.Process.Start(@"..\..\..\Sample.htm");
        }
    }
}
